Bug 1456336 - FTBFS on epel-testing
Summary: FTBFS on epel-testing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: module-build-service
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-29 06:25 UTC by Tuomo Soini
Modified: 2017-07-28 02:49 UTC (History)
2 users (show)

Fixed In Version: module-build-service-1.3.24-3.fc26 module-build-service-1.3.24-3.fc25 module-build-service-1.3.24-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-23 03:54:51 UTC


Attachments (Terms of Use)

Description Tuomo Soini 2017-05-29 06:25:46 UTC
Description of problem:

I tried to build module-build-services-1.3.22-2.el7 on mock against epel-testing and build failed.

Reason for this was some dependency issue, help2man fails to produce man pages because of this python backtrace:

Traceback (most recent call last):
  File "/home/tis/Src/foo7/optional/module-build-service/tmp/BUILDROOT/module-build-service-1.3.22-2.foo7.x86_64/usr/bin/mbs-manager", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 3007, in <module>
    working_set.require(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 728, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 626, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: openidc-client

Comment 1 Tuomo Soini 2017-05-29 06:26:57 UTC
Oh. This is most propably dependency issone on some other package because nothing pulled in python2-openidc-client to root.

Comment 2 Fedora Update System 2017-06-27 14:40:36 UTC
module-build-service-1.3.24-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c9b7a1e97b

Comment 3 Fedora Update System 2017-06-27 14:40:56 UTC
module-build-service-1.3.24-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c530423d18

Comment 4 Fedora Update System 2017-06-27 17:27:35 UTC
module-build-service-1.3.24-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c530423d18

Comment 5 Fedora Update System 2017-06-27 20:27:31 UTC
module-build-service-1.3.24-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c9b7a1e97b

Comment 6 Fedora Update System 2017-06-28 01:18:15 UTC
module-build-service-1.3.24-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e034ba3de8

Comment 7 Fedora Update System 2017-07-11 19:58:12 UTC
module-build-service-1.3.24-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-13d3aa895f

Comment 8 Fedora Update System 2017-07-12 16:24:16 UTC
module-build-service-1.3.24-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5cc34d02b

Comment 9 Fedora Update System 2017-07-12 18:22:01 UTC
module-build-service-1.3.24-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-13d3aa895f

Comment 10 Fedora Update System 2017-07-13 01:50:26 UTC
module-build-service-1.3.24-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c52f1125fb

Comment 11 Fedora Update System 2017-07-23 03:54:51 UTC
module-build-service-1.3.24-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-07-23 22:53:55 UTC
module-build-service-1.3.24-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-07-28 02:49:59 UTC
module-build-service-1.3.24-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.